apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: yolo-dl
  name: yolo-dl
  namespace: oceanbox
spec:
  replicas: 1
  selector:
    matchLabels:
      app: yolo-dl
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: yolo-dl
    spec:
      containers:
      - command:
        - /bin/sh
        - -c
        - httpd -p 8000 -f
        image: busybox:latest
        imagePullPolicy: IfNotPresent
        name: yolo-dl
        ports:
        - containerPort: 8000
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /data
          name: data
        workingDir: /data
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - name: data
        persistentVolumeClaim:
          claimName: yolo-dl-data

